<?php
/** * @author    OrionKit http://www.orionkit.com
 * @copyright    Copyright (C) OrionKit .
 * @license http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
defined('_JEXEC') or die;
include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'template_global_vars.php';

//get data
$data = $this->params->get('article_header');

$data = str_replace('[', '', $data);
$data = str_replace(']', '', $data);
$value = json_decode($data, true);

//get image source===============
$article = JTable::getInstance("content");
$id = JFactory::getApplication()->input->getInt('id');
$article->load($id); // Get Article
$article_images = $article->get("images"); // Get image parameters
$pictures = json_decode($article_images); // Split the parameters apart


// image data
//if(isset($pictures->{'' . $value["source"] . ''})) $image_url  = JURI::base(true) . $pictures->{'' . $value["source"] . ''};
if(isset($pictures->{'' . $value["source"] . ''})){
	$image_url  = JURI::base(true) . $pictures->{'' . $value["source"] . ''};
}else{
	$image_url  = null;
}


// get image data as array
if ($image_url != null){
	$image_data = getimagesize($image_url);
}
else{
	$image_data[0] = 0;
}

//make height
// make image background
if(isset($pictures) and $image_data[0] >= 1600){
	$bg_image = ' background-image: url(\'' . $image_url . '\'); background-position: center top ;';

}
else{
$bg_image = '';
}

//header and container height------------------
//calculate style parameters
if ($this->params->get("layout") == 3){
	$artbg_container_margin = $logo_height;
	$artbg_container_height = $value["height"] - $logo_height - $global_offset;
	$artbg_height = $value["height"];
}
else{
	$artbg_container_margin = $logo_height;
	$artbg_container_height = $value["height"] - $logo_height;
	$artbg_height = $value["height"];
}
$artbg_container_style = 'style="height: ' . $artbg_container_height . 'px; margin-top: ' . $artbg_container_margin . 'px;"';
$artbg_style = 'style="height: ' . $artbg_height . 'px; ' . $bg_image . '"';

////dev
//echo '<br> value 1 - '. $artbg_container_margin;
//echo '<br> value 2 - '. $artbg_container_height;
//echo '<br> value 3 - '. $artbg_height;
//echo '<br> value 4 - '.   $artbg_container_style;
//echo '<br> value 5 - '.  $artbg_style;


// ****************************************************************************
// *                                  overlay                                 *
// ****************************************************************************


	if ($value["overlay"] == 1){
		$art_overlay_start = '<div class="ok-art-bg-fade" style="height: ' . $artbg_height . 'px;">';
		$art_overlay_end = '</div>';
	}
	elseif($value["overlay"] == 2){
		$art_overlay_start = '<div class="ok-art-bg-dotted" style="height: ' . $artbg_height . 'px;">';
		$art_overlay_end = '</div>';
	}
	else{
		$art_overlay_start = '';
		$art_overlay_end = '';
	}



// get menu title and article title
$option = JRequest::getCmd('option');
$view = JRequest::getCmd('view');
//-------
$app = JFactory::getApplication();
$menu = $app->getMenu();
$menuname = $menu->getActive()->title;

//check if is content component in article view tmpl
if ($option == "com_content" && $view == "article") {
	$item_title = $article->get("title");
}
else{
	$item_title = $menu->getActive()->title;
}




// ****************************************************************************
// *                                  title                                   *
// ****************************************************************************

if($value["title"] == 1){
	$page_title = '<h1 style="font-size: ' . $value["font_size"] . 'px; color:'  . $value["font_color"] . '">' . $item_title . '</h1>';
}
else{
	$page_title = '';
}
$title_align = $value["font_align"];
// ****************************************************************************
// *                                blog style                                *
// ****************************************************************************

if ($value["blog_image_weight"] == 0){
	$add_blog_image_style = 0;
	$blog_image_weight = '';
}
else{
	$add_blog_image_style = 1;
	$blog_image_weight = $value["blog_image_weight"];
}

// ****************************************************************************
// *                                vars for com_content overrides                                *
// ****************************************************************************

$header_type = $this->params->get('header_type');
$title_type = $value['title'];

