<?php
/** * @author    OrionKit http://www.orionkit.com
 * @copyright    Copyright (C) OrionKit .
 * @license http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
defined('_JEXEC') or die;
include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'helpers/toolbar.php';
?>
<div class="tm-toolbar uk-clearfix uk-hidden-small">
    <div class="uk-container uk-container-center">
        <?php if ($this->params->get('display_social_links') == 1 or $this->params->get('display_social_links') == 2): ?>
            <div class="ok-tbar-left">
                <?php social('twitter', 'twitter', '0') .
                social('facebook', 'facebook', '0') .
                social('google', 'google-plus', '0') .
                social('linkedin', 'linkedin', '0') .
                social('youtube', 'youtube', '0') .
                social('flickr', 'flickr', '0') .
                social('vk', 'vk', '0');
                ?>
            </div>
        <?php endif; ?>
        <?php if ($this->countModules('toolbar_l')): ?>
            <div class="ok-tbar-left">
                <jdoc:include type="modules" name="toolbar_l" style="none"/>
            </div>
        <?php endif; ?>
        <?php if ($this->params->get('phone') !== null): ?>
            <div class="ok-tbar-right">
                <i class="uk-icon-hover uk-icon-phone-square"></i> <?php echo $this->params->get('phone'); ?>
            </div>
        <?php endif; ?>
        <?php if ($this->params->get('email') !== null): ?>
            <div class="ok-tbar-right">
                <a href="mailto:<?php echo $this->params->get('email'); ?>">
                    <i class="uk-icon-hover uk-icon-phone-square"></i> <?php echo $this->params->get('email'); ?>
                </a>
            </div>
        <?php endif; ?>
        <?php if ($this->countModules('toolbar_r')): ?>
            <div class="ok-tbar-right">
                <jdoc:include type="modules" name="toolbar_r" style="none"/>
            </div>
        <?php endif; ?>
    </div>
</div>