<?php
/*---------------------------------------------------------------
# Package - Joomla Template based on Stools Framework   
# ---------------------------------------------------------------
# Author - joomla2you http://www.joomla2you.com
# Copyright (C) 2008 - 2013 joomla2you.com. All Rights Reserved.
# Websites: http://www.joomla2you.com
-----------------------------------------------------------------*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');

function pagination_list_render($list) {
	// Reverse output rendering for right-to-left display.
	$html = '<ul class="uk-pagination" data-uk-pagination="{items:100, itemsOnPage:3}>';
	$html .= '<li class="uk-pagination-start">' . $list['start']['data'] . '</li>';
	$html .= '<li class="uk-pagination-previous">' . $list['previous']['data'] . '</li>';
	foreach ($list['pages'] as $page)
	{
		$html .= '<li>' . $page['data'] . '</li>';
	}
	$html .= '<li class="uk-pagination-next">' . $list['next']['data'] . '</li>';
	$html .= '<li class="uk-pagination-end">' . $list['end']['data'] . '</li>';
	$html .= '</ul>';
	return $html;
}

function pagination_item_active(&$item) {
	return "<a title=\"" . $item->text . "\" href=\"" . $item->link . "\" class=\"pagenav\">" . $item->text . "</a>";
}

function pagination_item_inactive(&$item) {
	return "<span class=\"uk-active\">" . $item->text . "</span>";
}