<?php
/**
 * @author    OrionKit http://www.orionkit.com
 * @copyright    Copyright (C) OrionKit .
 * @license http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
defined('_JEXEC') or die;
include_once JURI::root(true, 'templates/orion_nebula/orion/helpers/footer.php');
include_once JURI::root(true, 'templates/orion_nebula/orion/helpers/toolbar.php');
?>
<footer class="tm-footer">
    <?php if ($this->countModules('footer_top')): ?>
        <div class="ok-footer-top">
            <?php echo $container_open_div ?>
            <div class="uk-grid">
                <div class="uk-width-medium-1-1">
                    <jdoc:include type="modules" name="footer_top" style="none"/>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div class="<?php echo $footerHideOnmobile; ?>">
        <?php if ($this->countModules('footer')) {
            echo '<div id="footer-main"' . $footer_main_style . '>' . $panel->position('footer') . '</div>';
        } ?>
    </div>
    <?php if ($this->params->get("display_social_links") == 2 or $this->params->get("display_social_links") == 3
        or $this->params->get("footer_copyright") != null or $this->params->get("branding") == 1
    ): ?>
        <div id="ok-copyright"<?php echo $copyright_style; ?>>
            <?php echo $container_open_div ?>
            <div class="uk-grid">
                <div<?php echo $icon_class; ?>>
                    <?php if ($this->params->get("display_social_links") == 2 or $this->params->get("display_social_links") == 3): ?>
                        <?php social('twitter', 'twitter', '1') .
                        social('facebook', 'facebook', '1') .
                        social('google', 'google-plus', '1') .
                        social('linkedin', 'linkedin', '1') .
                        social('youtube', 'youtube', '1') .
                        social('flickr', 'flickr', '1') .
                        social('vk', 'vk', '1'); ?>
                    <?php endif; ?>
                </div>
                <div<?php echo $copyright_class; ?>>
                    <?php if ($this->params->get("footer_copyright") != null): ?>
                        <div class="ok-copyright">
                            <?php echo $this->params->get("footer_copyright") ?>
                        </div>
                    <?php endif; ?>
                    <?php if ($this->params->get("branding") == 1): ?>
                        <div class="ok-branding"><a href="http://orionkit.com" target="_blank">Powered by OrionKit</a>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
    </div>
</footer>