<?php
include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'helpers/header.php';
?>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <jdoc:include type="head"/>
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css"/>
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css"/>
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/ie8.css" type="text/css"/>
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/default.css" type="text/css"/>
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/bootstrap.css" type="text/css"/>
    <link rel="shortcut icon" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/favicon.ico">
    <link rel="stylesheet" href="media/system/css/frontediting.css" type="text/css" />
    <script src="media/system/js/frontediting.js" type="text/javascript"></script>
    <!--[if lt IE 9]>
    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/ok.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/uikit.min.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/parallax.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/sticky.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/slideset.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/slideshow.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/slideshow-fx.js"></script>
    <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/js/tooltip.js"></script>
    <?php if ($this->params->get('layout') == 3): ?>
        <style>
            .tm-toolbar .uk-container,
            .tm-navbar .uk-container {
                padding: 0px 5px !important;
            }
        </style>
    <?php endif; ?>
</head>