<?php
/** * @author    OrionKit http://www.orionkit.com
 * @copyright    Copyright (C) OrionKit .
 * @license http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
defined('_JEXEC') or die;
include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'template_global_vars.php';
$config = JFactory::getConfig();
// HEADER CONFIG *******************************************************
$data = $this->params->get('header_config');
$data = str_replace('[', '', $data);
$data = str_replace(']', '', $data);
$value = json_decode($data, true);
// style ********************************************************
//bg color
if ($value["bgcolor"] != null) {
    $bg_color = 'background-color: ' . $value["bgcolor"] . ';';
} else {
    $bg_color = '';
}
//bg image
if ($value["custom_image"] != null) {
    $bg_image = 'background-image: url(\'' . JURI::root(true, '/') . $value["custom_image"] . '\'); background-position: center top; ';
} else {
    if ($value["preset_image"] != null) {
        $bg_image = 'background-image: url(\'' . JURI::root(true, '/templates/orion_nebula/images/') . $value["preset_image"] . '\'); background-position: center top; ';
    } else {
        if ($value["bgcolor"] != null) {
            $bg_image = 'background-image: url(\'' . JURI::root(true, '/templates/orion_nebula/images/pixel.png') . '\'); background-position: center top; ';
        } else {
            $bg_image = '';
        }
    }
}
// font color
if ($value["font_color"] != null) {
    $color = 'color: ' . $value["font_color"] . '; ';
} else {
    $color = '';
}
// final style
if ($this->params->get('layout') == 3) {
    $compo_min_heght = $logo_height + $this->params->get('header_offset') + 10;
    $min_height = 'min-height: ' . $compo_min_heght . 'px; ';
} else {
    $min_height = 'min-height: ' . $logo_height . 'px; ';
}
if ($bg_color != null or $bg_image != null or $color != null) {
    $header_style = 'style="' . $min_height . $bg_color . $bg_image . $color . '"';
} else {
    $header_style = 'style="' . $min_height . '"';
}
// overlay and blur filter divs
switch ($value["overlay"]) {
    case '1':
        $headerBgfilter = '<div class="ok_header_dark_overlay"></div>';
        break;
    case '2':
        $headerBgfilter = '<div class="ok_header_dotted_overlay"></div>';
        break;
    case '3':
    default:
        $headerBgfilter = '';
}
// ***************************************************************************************************
$header_bgcolor = $this->params->get("header_bgcolor");
$header_bg_image = $this->params->get("header_bg_image");
$header_select_image = $this->params->get("header_select_image");
$header_image_position = $this->params->get("header_image_position");
$header_image_position = $this->params->get("header_image_position");
$header_padding = $this->params->get("header_padding");
$header_left_animation = $this->params->get("header_left_animation");
$header_left_animation_delay = $this->params->get("header_left_animation_delay");
$header_center_animation = $this->params->get("header_center_animation");
$header_center_animation_delay = $this->params->get("header_center_animation_delay");
$header_right_animation = $this->params->get("header_right_animation");
$header_right_animation_delay = $this->params->get("header_right_animation_delay");
$header_animation_repeat = $this->params->get("header_animation_repeat");
$header_darker = $this->params->get("header_darker");
$navbar_bg = $this->params->get("navbar_bg");
$navbar_bgcolor = $this->params->get("navbar_bgcolor");
$navbar_opacity = $this->params->get("navbar_opacity");
$navsticky_style = $this->params->get("navsticky_style");
$navsticky_bgcolor = $this->params->get("navsticky_bgcolor");
$navsticky_opacity = $this->params->get("navsticky_opacity");
$navbar_position = $this->params->get("navbar_position");
$navbar_style = $this->params->get("navbar_style");
//font style
/*$header_left_font     = $this->params->get("header_left_font");
$header_center_font   = $this->params->get("header_center_font");
$header_right_font    = $this->params->get("header_right_font");
$header_mods_font     = $this->params->get("header_mods_font");
$header_mods_contrast = $this->params->get("header_mods_contrast");*/
$positions = array('header-left', 'header-center', 'header-right');
// header image
if ($header_select_image == 'preset') {
    $header_bg_image = 'background-image: url(\'' . $this->baseurl . '/templates/' . $this->template . '/images/' . $header_bg_image . '\'); background-position: center top ;';
} else {
    $header_bg_image = 'background-image: url(\'' . $this->baseurl . '/' . $header_select_image . '\'); background-position: center top ;';
}
// header image attachment
if ($header_image_position == 'parallax') {
    $header_image_attachment = '';
    $header_image_parallax = ' data-uk-parallax="{bg: \'-200\'}"';
} else {
    $header_image_attachment = 'background-attachment: ' . $header_image_position . ';';
    $header_image_parallax = '';
}
// Make Darker Header Image
if ($header_darker !== '0') {
    $headerdarker = ' style="background-color: rgba(0, 0, 0, 0.' . $header_darker . ')"';
} else {
    $headerdarker = '';
}
// header height
if ($header_padding > 0) {
    $header_padding_style = ' style="padding:' . $header_padding . 'px 0;"';
} else {
    $header_padding_style = '';
}
// modules content align
if ($this->params->get("header_mods_content_align") !== '0') {
    $header_mods_content_align = $this->params->get("header_mods_content_align");
} else {
    $header_mods_content_align = '';
}
// count header modules
$headerActivePositions = 0;
foreach ($positions as $position) {
    if ($this->countModules($position)) {
        $headerActivePositions++;
    }
}
if ($headerActivePositions > 0) {
    $headerColWidth = 'uk-width-medium-1-' . $headerActivePositions;
} else {
    $headerColWidth = '';
}
//logo type -----------------------------------------------------------------------------------
if ($this->params->get("logo_type") == '0') {
    $logo = '<div class="ok-logo-text">' . $this->params->get("logo_text") . '</div>';
} else {
    if ($this->params->get("logo_image") == 'preset') {
        $logo = '<div class="ok-logo"><img src="' . $this->baseurl . '/templates/' . $this->template . '/images/' . 'logo.png" alt="' . $config->get('sitename') . '"></div>';
    } else {
        $logo = '<div class="ok-logo"><img src="' . $this->baseurl . '/' . $this->params->get("logo_image") . '" alt="' . $config->get('sitename') . '"></div>';
    }
}
//navbar - menu color
//function covert hex color to rgb
function hex2RGB($hexStr, $returnAsString = false, $seperator = ',')
{
    $hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
    $rgbArray = array();
    if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
        $colorVal = hexdec($hexStr);
        $rgbArray['red'] = 0xFF & ($colorVal >> 0x10);
        $rgbArray['green'] = 0xFF & ($colorVal >> 0x8);
        $rgbArray['blue'] = 0xFF & $colorVal;
    } elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
        $rgbArray['red'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
        $rgbArray['green'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
        $rgbArray['blue'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
    } else {
        return false; //Invalid hex color code
    }
    return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
}

/*
if ($navsticky_style  == 1 ) {
	$ok_navActive  = 'background: rgba('.hex2RGB("'. $navbar_bgcolor .'", true).', '.$navbar_opacity.')';
} else {
	$ok_navActive  = 'background: rgba('.hex2RGB("'. $navsticky_bgcolor  .'", true).', '.$navsticky_opacity.')';
}*/
// sticky navbar
if ($navbar_style == 'uk-animation-slide-top' or $navbar_style == 'uk-animation-fade') {
    $navsticky = ' data-uk-sticky="{top:-200, animation: \'' . $navbar_style . '\'}"';
} elseif ($navbar_style == '1') {
    $navsticky = 'data-uk-sticky';
} else {
    $navsticky = '';
}
$header_hide_onmobile = $this->params->get("header_hide_onmobile");
if ($header_hide_onmobile == '0') {
    $headerHideOnmobile = '';
} else {
    $headerHideOnmobile = ' uk-hidden-small';
}
// this function makes header animation attribute(panel ones makes class Panel in panel.php)
function animation($animation, $repeat, $delay = 0)
{
    if ($delay != 0) {
        $Delay = ', delay: ' . $delay;
    } else {
        $Delay = '';
    }
    if ($animation == '0') {
        echo '';
    } else {
        echo ' data-uk-scrollspy="{cls:\'' . $animation . '\', repeat: ' . $repeat . $Delay . '}"';
    }
}

// search module  **************************************************************
//$document = &JFactory::getDocument();
//$renderer = $document->loadRenderer('module');
//$options = array('style' => 'search');
//$module = JModuleHelper::getModule('mod_search');
//$module->params = "heading=2\nlimit=10";

//navbar background
switch ($this->params->get('navbar_bg')) {
    case '1':
        $navbar_class = '';
        $navbar_menu_class = ' ok-menu-bg';
        $logo_class = '';
        break;
    case '2':
        $navbar_class = ' ok-navbar-bg';
        $navbar_menu_class = '';
        $logo_class = '';
        break;
    case '3':
        $navbar_class = ' ok-navbar-bg';
        $navbar_menu_class = ' ok-menu-bg';
        $logo_class = '';
        break;
    default:
        $navbar_class = '';
        $navbar_menu_class = '';
        $logo_class = '';
}